Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1055)
@@ -5532,12 +5572,12 @@
               thePrev->Set4Momentum(prev4M);
 #ifdef pdebug
-	             G4cout<<"G4Q::CheckGS:Yes, Check D4M="<<tmpTLV-prev4M-nuc4M<<G4endl;
-#endif
-	           }
-		        }
-	       }
+              G4cout<<"G4Q::CheckGS:Yes, Check D4M="<<tmpTLV-prev4M-nuc4M<<G4endl;
+#endif
+            }
+          }
+        }
         else return false;
       }
-	   }
+    }
     else return false;
   }
@@ -5566,8 +5606,8 @@
     G4int i=0;
     if(nChan>1)
-	   {
+    {
       G4double rnd = G4UniformRand();            // Random value to select a Decay Channel
       for(i=0; i<nChan; i++)
-	     {
+      {
         G4QDecayChan* dC = decV[i];              // The i-th Decay Channel
 #ifdef pdebug
@@ -5576,11 +5616,11 @@
 #endif
         if(rnd<dC->GetDecayChanLimit() && m>dC->GetMinMass()) break;
-	     }
+      }
       if(i>nChan-1) i=nChan-1;
-	   }
+    }
     G4QPDGCodeVector cV=decV[i]->GetVecOfSecHadrons();// PDGVector of theSelectedDecChannel
     G4int nPart=cV.size();                         // A#of particles to decay in
 #ifdef pdebug
-	   G4cout<<"G4Quasmon::DecayQHadron: resi="<<i<<",nP="<<nPart<<":"<<cV[0]->GetPDGCode()
+    G4cout<<"G4Quasmon::DecayQHadron: resi="<<i<<",nP="<<nPart<<":"<<cV[0]->GetPDGCode()
           <<","<<cV[1]->GetPDGCode();
     if(nPart>2) G4cout<<","<<cV[2]->GetPDGCode();
@@ -5591,10 +5631,10 @@
       G4cerr<<"---Warning---G4Q::DecayQHadr:n="<<nPart<<",ch#"<<i<<",PDG="<<thePDG<<G4endl;
       return false;
-	   }
+    }
 #ifdef pdebug
     G4cout<<"G4Q::DecQH:Decay("<<ElMaDecays<<") PDG="<<thePDG<<t<<m<<",nP="<<nPart<<G4endl;
 #endif
     if(nPart==2)
-	   {
+    {
       G4QHadron* fHadr;
       G4QHadron* sHadr;
@@ -5607,9 +5647,9 @@
 #endif
         if(cV[0]->GetWidth()==0.)
-	       { // Randomize only the second Hardon or none
+        { // Randomize only the second Hardon or none
           fHadr = new G4QHadron(cV[0]->GetPDGCode());   // the First Hadron is created *1*
           if(cV[1]->GetWidth()==0.)sHadr = new G4QHadron(sPDG);//theSecondHadron is created
           else
-		        {
+          {
             G4QParticle* sPart=theWorld->GetQParticle(cV[1]);// Pt for theSecondHadron
             G4double sdm = m - fHadr->GetMass();        // MaxMassLimit for the 2-nd Hadron
@@ -5617,7 +5657,7 @@
             if(sPDG<0) sHadr->MakeAntiHadron();
           }
-	       }
+        }
         else                                              // Randomize masses ofBothHadrons
-	       {
+        {
           G4QParticle* sPart=theWorld->GetQParticle(cV[1]);// Pt for theSecondHadron
           G4double mim = sPart->MinMassOfFragm();         // MinMassLimit for theSecondHadr
@@ -5650,9 +5690,9 @@
           delete sHadr;                                   // Delete "new sHadr"
           G4cerr<<"---Warning---G4Q::DecayQHadron:in2,PDGC="<<thePDG<<", ch#"<<i<<": 4M="
-												    <<qH->Get4Momentum()<<"("<<qH->GetMass()<<")->"<<f4Mom<<"+"<<s4Mom<<G4endl;
+                <<qH->Get4Momentum()<<"("<<qH->GetMass()<<")->"<<f4Mom<<"+"<<s4Mom<<G4endl;
           //throw G4QException("***Exception***G4Q::DecayQHadron: Failed to decay in 2");
           theFragments->push_back(qH);                    // Fill as it is (del.equiv.)
           return theFragments;
-	       }
+        }
         else
         {
@@ -5669,5 +5709,5 @@
 #endif
           if(nProd==1) theFragments->push_back((*theTmpQHV)[0]);// Final = no Further Decay
-										else for(G4int ip1=0; ip1<nProd; ip1++)
+          else for(G4int ip1=0; ip1<nProd; ip1++)
           {
             G4QHadronVector* intTmpQHV = DecayQHadron((*theTmpQHV)[ip1]);
@@ -5694,5 +5734,5 @@
 #endif
           if(nProd==1) theFragments->push_back((*theTmpQHV)[0]);// Final = no Further Decay
-										else for(G4int ip1=0; ip1<nProd; ip1++)
+          else for(G4int ip1=0; ip1<nProd; ip1++)
           {
             G4QHadronVector* intTmpQHV = DecayQHadron((*theTmpQHV)[ip1]);
@@ -5716,5 +5756,5 @@
         G4cout<<"G4Q::DecQHadr: DecayIn2 is made with nH="<<theFragments->size()<<G4endl;
 #endif
-	     }
+      }
       else
       {
@@ -5723,8 +5763,8 @@
 #endif
         theFragments->push_back(qH);               // Fill hadron as it is (del.equivalent)
-	     }
+      }
     }
     else if(nPart==3)
-	   {
+    {
       G4QHadron* fHadr;
       G4QHadron* sHadr;
@@ -5740,5 +5780,5 @@
 #endif
         if(cV[0]->GetWidth()==0.)                        // Don't randomize theFirstHardon
-	       {
+        {
           fHadr = new G4QHadron(fPDG);                   // theFirst Hadron is created  *1*
           if(cV[1]->GetWidth()==0.)
@@ -5747,13 +5787,13 @@
             if(cV[2]->GetWidth()==0.)tHadr = new G4QHadron(tPDG);//theThirdHadron isCreated
             else
-		          {
+            {
               G4QParticle* tPart=theWorld->GetQParticle(cV[2]);// Pt for the3-rdH
               G4double tdm = m-fHadr->GetMass()-sHadr->GetMass();// MaxMass for the 2d Hadr
               tHadr = new G4QHadron(tPart,tdm);                  //the3rdHadron is created
               if(tPDG<0) tHadr->MakeAntiHadron();
-		          }
+            }
           }
           else                                              // Randomize 2nd & 3rd Hadrons
-		        {
+          {
             m-=fHadr->GetMass();                            // Reduce the residual MaxMass
             G4QParticle* tPart=theWorld->GetQParticle(cV[2]);// Pt for the 3-rd Hadron
@@ -5767,7 +5807,7 @@
             if(tPDG<0) tHadr->MakeAntiHadron();
           }
-	       }
+        }
         else  // Randomize masses of all three Hadrons
-	       {
+        {
           G4QParticle* sPart=theWorld->GetQParticle(cV[1]);//Pt for theSecondHadr
           G4double smim = sPart->MinMassOfFragm();        // MinMassLim for theSecondHadron
@@ -5807,5 +5847,5 @@
           theFragments->push_back(qH);             // Fill as it is (delete equivalent)
           return false;
-	       }
+        }
         else
         {
@@ -5822,5 +5862,5 @@
 #endif
           if(nProd==1) theFragments->push_back((*theTmpQHV)[0]);// Final = no Further Decay
-										else for(G4int ip1=0; ip1<nProd; ip1++)
+          else for(G4int ip1=0; ip1<nProd; ip1++)
           {
             G4QHadronVector* intTmpQHV = DecayQHadron((*theTmpQHV)[ip1]);
@@ -5848,5 +5888,5 @@
 #endif
           if(nProd==1) theFragments->push_back((*theTmpQHV)[0]);// Final = no Further Decay
-										else for(G4int ip1=0; ip1<nProd; ip1++)
+          else for(G4int ip1=0; ip1<nProd; ip1++)
           {
             G4QHadronVector* intTmpQHV = DecayQHadron((*theTmpQHV)[ip1]);
@@ -5874,5 +5914,5 @@
 #endif
           if(nProd==1) theFragments->push_back((*theTmpQHV)[0]);// Final = no Further Decay
-										else for(G4int ip1=0; ip1<nProd; ip1++)
+          else for(G4int ip1=0; ip1<nProd; ip1++)
           {
             G4QHadronVector* intTmpQHV = DecayQHadron((*theTmpQHV)[ip1]);
@@ -5897,5 +5937,5 @@
         G4cout<<"G4Q::DecQHadr: DecayIn3 is made with nH="<<theFragments->size()<<G4endl;
 #endif
-	     }
+      }
       else theFragments->push_back(qH);            // Fill hadron as it is (del.equivalent)
     }
